<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.MediaDevice.get_interfaces &ndash; librygel-core &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.MediaDevice.get_interfaces &ndash; librygel-core Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-core</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="abstract_class"><a href="Rygel.MediaDevice.html">MediaDevice</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="property"><a href="Rygel.MediaDevice.capabilities.html">capabilities</a></li>
          <li class="property"><a href="Rygel.MediaDevice.plugin.html">plugin</a></li>
          <li class="property"><a href="Rygel.MediaDevice.title.html">title</a></li>
          <li class="creation_method"><a href="Rygel.MediaDevice.MediaDevice.html">MediaDevice</a></li>
          <li class="method"><a href="Rygel.MediaDevice.add_interface.html">add_interface</a></li>
          <li class="virtual_method"><a href="Rygel.MediaDevice.constructed.html">constructed</a></li>
          <li class="method">get_interfaces</li>
          <li class="method"><a href="Rygel.MediaDevice.remove_interface.html">remove_interface</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">get_interfaces</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_type"><span class="class">List</span></span>&lt;<span class="main_basic_type"><span class="class">string</span></span>&gt; <b><span class="method">get_interfaces</span></b> ()
        </div>
        <div class="description">
          <p>Get a list of the network interfaces the device is currently allowed to use.</p>
          <h2 class="main_title">Returns:</h2>
          <table class="main_parameter_table">
            <tr>
              <td>
                <p>list of interface names. </p>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>